# Rechts- und linksseitiges Trimmen
function trim(s)
{
	sub(/^[ \t]+/, "", s);
	sub(/[ \t]+$/, "", s);
	return s;
}
# Begin Sektion
BEGIN {
	print "RoboStation CSV Version 2.0;;;;;;;;";
	print "System: XYZ;;;;;;;;";
	print "Point No.;X;Y;Z;Point Categories;Point Comment;New Poly;Poly Categories;Poly Comment";
	PID = "";
	Category = "";
	X = 0.0;
	Y = 0.0;
	Z = 0.0;
	PointRead = 0;
}
# Lese ID ein und synchronisiere Punkt
/^5=/{
	if (PointRead == 1)
	{
		print PID ";" X ";" Y ";" Z ";" Category ";;open;";
		Category = "";
		X = 0.0;
		Y = 0.0;
		Z = 0.0;
		PointRead = 0;
	}
	PID = trim(substr($0, 3));
	PointRead = 1;
}
# Lese Kategorie ein
/^4=/{
	Category = trim(substr($1, 3));
}
# Lese XYZ Koordinaten ein
/^37=/{
	Y = substr($1, 4);
}
/^38=/{	
	X = substr($1, 4);
}
/^39=/{
	Z = substr($1, 4);
}
# Ende Sektion
END {
	if (PointRead == 1)
	{
		print PID ";" X ";" Y ";" Z ";" Category ";;open;";
	}
}