# Rechts- und linksseitiges Trimmen
function trim(s)
{
	sub(/^[ \t]+/, "", s);
	sub(/[ \t]+$/, "", s);
	return s;
}
# Begin Sektion
BEGIN {
	print("RoboStation CSV Version 2.1;;;;;;;;");
	print("System: XYZ;;;;;;;;");
	print("Point No.;X;Y;Z;Point Categories;Point Comment;New Poly;Poly Categories;Poly Comment");
	PointName = "";
	TargetHeight = 0.0;
	MPCode = "";
	FS = "[ \t,]+";
	PointFound = 0;
}
# Lese Header einer Messung ein
/^SS/{
	PointFound = 1;
	PointName = $2;
	TargetHeight = $3;
	MPCode = $4;
}
# Lese Messung ein
/^XYZ/{
	if (PointFound == 1) {
		print(PointName ";" $3 ";" $2 ";" $4 ";" MPCode ";;open;;");
	}
	PointFound = 0;
}
# Ende Sektion
END {
}