﻿<?xml version="1.0" encoding="UTF-8" ?>
<!-- Copyright 2018, AndroTec GmbH -->
<?rscub type="report" version="1.0" name="de:Webseite + WebGL (HTML)|en:Web site + WebGL (.HTML)|fr:Web site + WebGL (.HTML)" restrictions="4" file-ext="html"  postproc="WebGL" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xlink="http://ww.w3.org/TR/xlink" xmlns:strres="strres:xml2html" version="1.0">
	<xsl:output method="html" standalone="yes" encoding="UTF-8"/>
	<xsl:strip-space elements="*"/>
	<xsl:decimal-format name="european" decimal-separator="," grouping-separator="."/>
	<!-- ***************************************** String Resourcen ***************************************** -->
    <strres:xml2html>
        <strres xml:lang="de">
            <s_main_title>Kubatura Berechnungsprotokoll</s_main_title>
            <s_main_header_1>Massenberechnung nach REB-VB 22.013, GAEB-VB 20.404, GAEB-VB 22.114</s_main_header_1>
            <s_main_header_2>Berechnungsprotokoll vom </s_main_header_2>
            <s_initial_survey>Voraufnahme: </s_initial_survey>
            <s_final_survey>Nachaufnahme: </s_final_survey>
            <s_dtm_points>DGM Punkte:</s_dtm_points>
            <s_all>Alle</s_all>
            <s_gaps>Aussparungen:</s_gaps>
            <s_boundary>Begrenzung:</s_boundary>
            <s_offset>Höhenverschiebung:</s_offset>
            <s_points>Punkte/Dreiecke:</s_points>
            <s_base>Grundfläche (2D)</s_base>
            <s_surface>Oberfläche (3D)</s_surface>
            <s_surface_perimeter>Umfang Oberfläche:</s_surface_perimeter>
            <s_point_low>Niedrigster Punkt:</s_point_low>
            <s_point_high>Höchster Punkt:</s_point_high>
            <s_plane>Horizontalebene</s_plane>
            <s_height>Höhe:</s_height>
            <s_result>Zusammenfassung Berechnungsergebnisse:</s_result>
            <s_areas>Anzahl der Gebiete:</s_areas>
            <s_cut>Abtrag</s_cut>
            <s_fill>Auftrag</s_fill>
            <s_no_calc>nicht berechnet</s_no_calc>
            <s_balance>Bilanz:</s_balance>
            <s_base_perimeter>Umfang Grundfläche:</s_base_perimeter>
            <s_origin_surface>Oberfläche Voraufnahme (3D):</s_origin_surface>
            <s_target_surface>Oberfläche Nachaufnahme (3D):</s_target_surface>
            <s_origin_triangles>Dreiecke der Voraufnahme:</s_origin_triangles>
            <s_target_triangles>Dreiecke der Nachaufnahme:</s_target_triangles>
			<s_no>Nr</s_no>
			<s_coord_x>Rechtswert</s_coord_x>
			<s_coord_y>Hochwert</s_coord_y>
			<s_coord_z>Höhe</s_coord_z>
			<s_point_1>Punkt 1</s_point_1>
			<s_point_2>Punkt 2</s_point_2>
			<s_point_3>Punkt 3</s_point_3>
			<s_hori>Horizontal</s_hori>
			<s_slope>Schräg</s_slope>
			<s_volume>Volumen</s_volume>
			<s_cut_area>ABTRAGSBEREICH</s_cut_area>
			<s_fill_area>AUFTRAGSBEREICH</s_fill_area>
			<s_fill_base_area>Grundfl. Auftrag</s_fill_base_area>
			<s_cut_base_area>Grundfl. Abtrag</s_cut_base_area>
            <s_coord_title>KOORDINATENVERZEICHNIS</s_coord_title>
            <s_segment_title>STRECKENVERZEICHNIS</s_segment_title>
            <s_protocol_title>PROTOKOLL AUF-/ABTRAGSBERECHNUNG</s_protocol_title>
            <s_area_title>PROTOKOLL FLÄCHENBERECHNUNG</s_area_title>
        </strres>
        <strres xml:lang="en">
            <s_main_title>Kubatura Calculation Report</s_main_title>
            <s_main_header_1>Volume Computation according to REB-VB 22.013, GAEB-VB 20.404, GAEB-VB 22.114</s_main_header_1>
            <s_main_header_2>Calculation Report date </s_main_header_2>
            <s_initial_survey>Initial Survey: </s_initial_survey>
            <s_final_survey>Final Survey: </s_final_survey>
            <s_dtm_points>DTM Points:</s_dtm_points>
            <s_all>All</s_all>
            <s_gaps>Exclusions:</s_gaps>
            <s_boundary>Border:</s_boundary>
            <s_offset>Height Offset:</s_offset>
            <s_points>Points/Triangles:</s_points>
            <s_base>Base Area (2D)</s_base>
            <s_surface>Surface Area (3D)</s_surface>
            <s_surface_perimeter>Surface Perimeter:</s_surface_perimeter>
            <s_point_low>Lowest Point:</s_point_low>
            <s_point_high>Highest Point:</s_point_high>
            <s_plane>Horizontal Plane</s_plane>
            <s_height>Height:</s_height>
            <s_result>Summary of Calculation Results:</s_result>
            <s_areas>Number of areas:</s_areas>
            <s_cut>Cut Volume</s_cut>
            <s_fill>Fill Volume</s_fill>
            <s_no_calc>not determined</s_no_calc>
            <s_balance>Balance:</s_balance>
            <s_base_perimeter>Base Perimeter:</s_base_perimeter>
            <s_origin_surface>Surface Area of Initial Survey (3D):</s_origin_surface>
            <s_target_surface>Surface Area of Final Survey (3D):</s_target_surface>
            <s_origin_triangles>Triangles of initial survey:</s_origin_triangles>
            <s_target_triangles>Triangles of final survey:</s_target_triangles>
			<s_no>No</s_no>
			<s_coord_x>Easting</s_coord_x>
			<s_coord_y>Northing</s_coord_y>
			<s_coord_z>Height</s_coord_z>
			<s_point_1>Point 1</s_point_1>
			<s_point_2>Point 2</s_point_2>
			<s_point_3>Point 3</s_point_3>
			<s_hori>Horizontal</s_hori>
			<s_slope>Diagonal</s_slope>
			<s_volume>Volumene</s_volume>
			<s_cut_area>CUT AREA</s_cut_area>
			<s_fill_area>FILL AREA</s_fill_area>
			<s_fill_base_area>Fill Area</s_fill_base_area>
			<s_cut_base_area>Cut Area</s_cut_base_area>
			<s_coord_title>COORDINATE LIST</s_coord_title>
            <s_segment_title>SEGMENT LIST</s_segment_title>
            <s_protocol_title>REPORT OF FILL/CUT CALCULATION</s_protocol_title>
            <s_area_title>REPORT OF AREA CALCULATION</s_area_title>
        </strres>
        <strres xml:lang="fr">
            <s_main_title>Kubatura Protocole de calcul</s_main_title>
            <s_main_header_1>Calcul des masses volumiques selon REB-VB 22.013, GAEB-VB 20.404, GAEB-VB 22.114</s_main_header_1>
            <s_main_header_2>Protocole de calcul du </s_main_header_2>
            <s_initial_survey>Relevé initial: </s_initial_survey>
            <s_final_survey>Relevé final: </s_final_survey>
            <s_dtm_points>MNT Points:</s_dtm_points>
            <s_all>Tous</s_all>
            <s_gaps>Exclusions:</s_gaps>
            <s_boundary>Délimitation:</s_boundary>
            <s_offset>Déplacement de la hauteur:</s_offset>
            <s_points>Points/Triangles:</s_points>
            <s_base>Surface de base (2D)</s_base>
            <s_surface>Superficie (3D)</s_surface>
            <s_surface_perimeter>Périmètre de Superficie:</s_surface_perimeter>
            <s_point_low>Point le plus bas:</s_point_low>
            <s_point_high>Point le plus élevé:</s_point_high>
            <s_plane>Plan horizontal</s_plane>
            <s_height>Hauteur:</s_height>
            <s_result>Résumé des résultats de calcul:</s_result>
            <s_areas>Nombre de terrains:</s_areas>
            <s_cut>Déblai</s_cut>
            <s_fill>Remblai</s_fill>
            <s_no_calc>non calculé</s_no_calc>
            <s_balance>Bilan:</s_balance>
            <s_base_perimeter>Périmètre surface de base:</s_base_perimeter>
            <s_origin_surface>Superficie Relevé initial (3D):</s_origin_surface>
            <s_target_surface>Superficie Relevé final (3D):</s_target_surface>
            <s_origin_triangles>Triangle du relevé initial:</s_origin_triangles>
            <s_target_triangles>Triangle du relevé final:</s_target_triangles>
			<s_no>N°</s_no>
			<s_coord_x>Valeur d'abscisses</s_coord_x>
			<s_coord_y>Valeur d'ordonnées</s_coord_y>
			<s_coord_z>Hauteur</s_coord_z>
			<s_point_1>Point 1</s_point_1>
			<s_point_2>Point 2</s_point_2>
			<s_point_3>Point 3</s_point_3>
			<s_hori>Horizontal</s_hori>
			<s_slope>Oblique</s_slope>
			<s_volume>Volumen</s_volume>
			<s_cut_area>ZONE DE DÉBLAI</s_cut_area>
			<s_fill_area>ZONE DE REMBLAI</s_fill_area>
			<s_fill_base_area>Surface de base Remblai</s_fill_base_area>
			<s_cut_base_area>Surfacce de base Déblai</s_cut_base_area>
            <s_coord_title>LISTE DE COORDONNEES</s_coord_title>
            <s_segment_title>LISTE DE SEGMENT</s_segment_title>
            <s_protocol_title>PROTOCOLE CALCUL DE REMBLAI/DE DÉBLAI</s_protocol_title>
            <s_area_title>PROTOCOLE CALCUL DE SURFACE</s_area_title>
        </strres>
    </strres:xml2html>
	<!-- ***************************************** Eingabeparameter - Deklarationen ***************************************** -->
    <xsl:param name="cl"  select="'1'"/>		<!-- Koordinatenliste -->
    <xsl:param name="cft" select="'2'"/>		<!-- Auftrag/Abtrag Typ: 2 = Nur Abtrag, 1 = Nur Auftrag, 0 = Auf- und Abtrag -->
    <xsl:param name="sp"  select="'0'"/>		<!-- Seitenumbruch einfügen -->
    <xsl:param name="ig"  select="'1'"/>		<!-- Grafik einfügen -->
    <xsl:param name="scp" select="'1'"/>		<!-- Protokolltyp; 1 = Kubatur, 0 = Fläche -->
    <xsl:param name="iel" select="'1'"/>		<!-- Streckenliste einfügen -->
    <xsl:param name="tpt" select="'0'"/>      	<!-- 0 = Protokoll basiert auf Voraufnahme, 1 = Protokoll basiert auf Nachaufnahme -->
	<xsl:param name="lang" select="'de'"/>		<!-- Sprache des Protokolls -->
	<!-- ***************************************** Variablen - Deklarationen ***************************************** -->
    <xsl:variable name="strres" select="document('')/*/strres:xml2html/strres[lang($lang)]"/>
	<!-- ***************************************** Template für die Ausgabe des HTML Titels ***************************************** -->
	<xsl:template name="WriteHTMLTitle">
		<title><xsl:value-of select="$strres/s_main_title"/></title>
	</xsl:template>
	<!-- ***************************************** Template zum Einfügen einer neuen Sektion ***************************************** -->
	<xsl:template name="NewSection">
		<xsl:param name="Text"/>
		<br />
		<br />
		<table width="100%">
			<tr>
				<td style="border: none;"><hr /></td>
				<td style="width:1px; white-space: nowrap; border: none;"><xsl:value-of select="$Text"/><br /></td>
				<td style="border: none;"><hr /></td>
			</tr>
		</table>
		<br />
		<br />
	</xsl:template>
	<!-- ***************************************** Template für die Ausgabe der CSS Regeln ***************************************** -->
	<xsl:template name="WriteCSSSection">
		<style type="text/css">
	p {
		font-family: arial;
		font-size: 10pt;
	}
	span {
		font-family: arial;
		font-size: 12pt;
	}
	span.title {
		font-family: arial;
		font-size: 12pt;
		font-weight: bold;
	}
	p.protocolheader {
		text-align: center;
		font-size: x-large;
		font-weight: bold;
	}
	table.inputsection {
		position: relative;
		left: 40px;
	}
	table.protocol {
		border-spacing: 0;
		empty-cells: hide;
		text-align: right;
		width: 100%;
	}
	span.filename {
		font-style: italic;
	}
	tr.top {
		background-color: #e0e0e0;
	}
	tr.top2 {
		background-color: #e8e8e8;
	}
	tr.bottom {
		background-color: #e2e2e2;
	}
	th {
		border:thin solid silver;
		text-align: center;
		font-family: arial;
		font-size: 12pt;
		padding-top: 6px;
		padding-bottom: 6px;
		padding-right: 0px;
		padding-left: 0px;
	}
	td {
		border:thin solid silver;
		font-family: arial;
		font-size: 12pt;
		padding-right: 20px;
		padding-left: 20px;
	}
	td.noborder {
		border: none;
	}
	td.c {
		text-align: center;
	}
	td.width1 {
		width: 250px;
		border: none;
	}
	td.width2 {
		width: 400px;
		border: none;
	}
	div.body {
		position: relative;
		margin-left: auto;
		margin-right: auto;
		width: 1024px;
	}
	div.header {
		margin-left: auto;
		margin-right: auto;
		width: 1024px;
	}
	span.copyright {
		font-family: arial;
		font-weight: bold;
		font-size: 10pt;
	}
	<xsl:if test="$ig='1'">
	canvas {
		position: absolute;
		top: 200px;
	}
	</xsl:if>
</style>
	</xsl:template>

	<xsl:template match="robostation">
		<!-- ***************************************** Ausgabe Protokollkopf ***************************************** -->
		<xsl:text disable-output-escaping='yes'>&lt;!DOCTYPE html&gt;</xsl:text>
		<html>
			<head>
			<xsl:text disable-output-escaping="yes">
			&lt;!-- UFT-8 Marker: üäöß --&gt;
			</xsl:text>
			<xsl:call-template name="WriteCSSSection" />
			<xsl:call-template name="WriteHTMLTitle" />
			<xsl:if test="$ig='1'">
				<xsl:text disable-output-escaping="yes">
				&lt;?insert type="visualisation"?&gt;
				</xsl:text>
			</xsl:if>
			</head>
			<body>
				<div class="header">
                <hr />
                <p class="protocolheader">Kubatura V <xsl:value-of select="@version"/></p>
				</div>
                <xsl:for-each select="cubature">
					<div class="header">
					<p class="protocolheader"><xsl:value-of select="$strres/s_main_header_1"/>
						<br /><xsl:text>&#xD;&#xA;</xsl:text>
                        <xsl:value-of select="$strres/s_main_header_2"/><xsl:if test="@date">
							<xsl:value-of select="concat(substring(@date,7,2), '.',substring(@date,5,2), '.', substring(@date,1,4))" />
						</xsl:if>, <xsl:if test="@time">
							<xsl:value-of select="concat(substring(@time,1,2), ':',substring(@time,3,2), ':', substring(@time,5,2))" />
						</xsl:if>
					</p>
					<hr />
					</div>
					<br />
					<xsl:apply-templates/>
					<xsl:if test="$ig='1'">
					<div style="height: 500px; width: 1024px; margin-left: auto; margin-right: auto;" id="GraphicPlaceholderID"></div>
					</xsl:if>
					<div class="body">
					<!-- ***************************************** Ausgabe der Eingabedaten ***************************************** -->
					<xsl:for-each select="input">
						<xsl:for-each select="horizon">
							<p>
								<xsl:if test="@no='1'">
									<span><xsl:value-of select="$strres/s_initial_survey"/></span>
								</xsl:if>
								<xsl:if test="@no='2'">
									<span><xsl:value-of select="$strres/s_final_survey"/></span>
								</xsl:if>
								<xsl:if test="@type='dtm'">
									<span class="filename">"<xsl:value-of select="@file"/>"</span>
									<br />
									<table class="inputsection">
										<tr>
											<td class="width1"><xsl:value-of select="$strres/s_dtm_points"/></td>
											<td class="width2">
												<xsl:for-each select="point_pool">
													<xsl:if test="@categories=''">
														<xsl:value-of select="$strres/s_all"/>
													</xsl:if>
													<xsl:if test="@categories!=''">
														<xsl:value-of select="@categories" />
													</xsl:if>
												</xsl:for-each>
											</td>
										</tr>
										<tr>
											<td class="noborder"><xsl:value-of select="$strres/s_gaps"/></td>
											<td class="noborder">
												<xsl:for-each select="gaps">
													<xsl:value-of select="@categories" />
												</xsl:for-each>
											</td>
										</tr>
										<tr>
											<td class="noborder"><xsl:value-of select="$strres/s_boundary"/></td>
											<td class="noborder">
												<xsl:for-each select="boundary">
													<xsl:value-of select="@categories" />
												</xsl:for-each>
											</td>
										</tr>
										<tr>
											<td class="noborder"><xsl:value-of select="$strres/s_offset"/></td>
											<td class="noborder"><xsl:value-of select="format-number(@offset,'#0,###','european')"/> m</td>
										</tr>
										<xsl:for-each select="dtm_info">
											<tr>
												<td class="noborder"><xsl:value-of select="$strres/s_points"/></td>
												<td class="noborder"><xsl:value-of select="@points" />/<xsl:value-of select="@triangles" /></td>
											</tr>
											<tr>
												<td class="noborder"><xsl:value-of select="$strres/s_base"/>:</td>
												<td class="noborder"><xsl:value-of select="format-number(@base_area,'#0,###','european')"/> m²</td>
											</tr>
											<tr>
												<td class="noborder"><xsl:value-of select="$strres/s_surface"/>:</td>
												<td class="noborder"><xsl:value-of select="format-number(@surface_area,'#0,###','european')"/> m²</td>
											</tr>
											<tr>
												<td class="noborder"><xsl:value-of select="$strres/s_surface_perimeter"/></td>
												<td class="noborder"><xsl:value-of select="format-number(@surface_perimeter,'#0,###','european')"/> m</td>
											</tr>
											<tr>
												<td class="noborder"><xsl:value-of select="$strres/s_point_low"/></td>
												<td class="noborder"><xsl:value-of select="format-number(@minZ,'#0,###','european')"/> m</td>
											</tr>
											<tr>
												<td class="noborder"><xsl:value-of select="$strres/s_point_high"/></td>
												<td class="noborder"><xsl:value-of select="format-number(@maxZ,'#0,###','european')"/> m</td>
											</tr>
										</xsl:for-each>
									</table>
								</xsl:if>
								<xsl:if test="@type='plane'">
									<span class="filename"><xsl:value-of select="$strres/s_plane"/></span>
									<table class="inputsection">
										<tr>
											<td class="width1"><xsl:value-of select="$strres/s_height"/></td>
											<td class="width2"><xsl:value-of select="format-number(@offset,'#0,###','european')"/> m</td>
										</tr>
									</table>
								</xsl:if>
							</p>
						</xsl:for-each>
					</xsl:for-each>
					<!-- ***************************************** Ausgabe der Berechnungsergebnisse ***************************************** -->
					<xsl:for-each select="results">
						<p>
							<span><xsl:value-of select="$strres/s_result"/></span>
							<table class="inputsection">
								<tr>
									<td class="width1"><xsl:value-of select="$strres/s_fill"/>:</td>
									<td class="width2">
										<xsl:if test="not($cft='2')"><xsl:value-of select="format-number(volume/@fill,'#0,###','european')"/> m³</xsl:if>
										<xsl:if test="$cft='2'"><xsl:value-of select="$strres/s_no_calc"/></xsl:if>
									</td>
								</tr>
								<tr>
									<td class="noborder"><xsl:value-of select="$strres/s_cut"/>:</td>
									<td class="noborder">
										<xsl:if test="not($cft='1')"><xsl:value-of select="format-number(volume/@cut,'#0,###','european')"/> m³</xsl:if>
										<xsl:if test="$cft='1'"><xsl:value-of select="$strres/s_no_calc"/></xsl:if>
									</td>
								</tr>
								<tr>
									<td class="noborder"><xsl:value-of select="$strres/s_balance"/></td>
									<td class="noborder">
										<xsl:if test="$cft='0'">
											<xsl:value-of select="format-number(volume/@balance,'#0,###','european')"/> m³ (<xsl:choose>
												<xsl:when test="volume/@balance &gt; 0"><xsl:value-of select="$strres/s_fill"/></xsl:when>
												<xsl:otherwise><xsl:value-of select="$strres/s_cut"/></xsl:otherwise>
											</xsl:choose>)
										</xsl:if>
										<xsl:if test="not($cft='0')"><xsl:value-of select="$strres/s_no_calc"/></xsl:if>
									</td>
								</tr>
								<tr>
									<td class="noborder"><xsl:value-of select="$strres/s_base"/>:</td>
									<td class="noborder"><xsl:value-of select="format-number(area/@base,'#0,###','european')"/> m²</td>
								</tr>
								<tr>
									<td class="noborder"><xsl:value-of select="$strres/s_base_perimeter"/></td>
									<td class="noborder"><xsl:value-of select="format-number(perimeter/@base,'#0,###','european')"/> m</td>
								</tr>
								<xsl:for-each select="surface">
									<xsl:if test="@type='origin'">
										<tr>
											<td class="noborder"><xsl:value-of select="$strres/s_origin_surface"/></td>
											<td class="noborder"><xsl:value-of select="format-number(@area,'#0,###','european')"/> m²</td>
										</tr>
									</xsl:if>
									<xsl:if test="@type='target'">
										<tr>
											<td class="noborder"><xsl:value-of select="$strres/s_target_surface"/></td>
											<td class="noborder"><xsl:value-of select="format-number(@area,'#0,###','european')"/> m²</td>
										</tr>
									</xsl:if>
								</xsl:for-each>
								<tr>
									<td class="noborder"><xsl:value-of select="$strres/s_areas"/></td>
									<td class="noborder"><xsl:value-of select="area/@regions" /></td>
								</tr>
							</table>
						</p>
					</xsl:for-each>
						<!-- ***************************************** Ausgabe des Koordinatenverzeichnisses ***************************************** -->
					<xsl:if test="$cl='1'">
						<p>
							<xsl:call-template name="NewSection">
								<xsl:with-param name="Text"><xsl:value-of select="$strres/s_coord_title"/></xsl:with-param>
							</xsl:call-template>
							<xsl:for-each select="input">
								<xsl:for-each select="horizon">
									<xsl:if test="@type='dtm'">
										<xsl:if test="@no='1'">
											<br />
											<span class="title"><xsl:value-of select="$strres/s_initial_survey"/></span>
										</xsl:if>
										<xsl:if test="@no='2'">
											<br />
											<span class="title"><xsl:value-of select="$strres/s_final_survey"/></span>
										</xsl:if>
										<br />
										<br />
										<table class="protocol">
											<tr class="top">
												<th><xsl:value-of select="$strres/s_no"/></th>
												<th><xsl:value-of select="$strres/s_coord_x"/></th>
												<th><xsl:value-of select="$strres/s_coord_y"/></th>
												<th><xsl:value-of select="$strres/s_coord_z"/></th>
												<th></th>
												<th><xsl:value-of select="$strres/s_no"/></th>
												<th><xsl:value-of select="$strres/s_coord_x"/></th>
												<th><xsl:value-of select="$strres/s_coord_y"/></th>
												<th><xsl:value-of select="$strres/s_coord_z"/></th>
											</tr>
											<xsl:for-each select="point_pool">
												<xsl:for-each select="point">
													<xsl:if test="(position() mod 2) != 0">
														<xsl:text disable-output-escaping='yes'>&lt;tr&gt;</xsl:text>
													</xsl:if>
													<td class="c">
														<xsl:value-of select="@id"/>
													</td>
													<td>
														<xsl:value-of select="format-number(@x,'#0,000','european')"/>
													</td>
													<td>
														<xsl:value-of select="format-number(@y,'#0,000','european')"/>
													</td>
													<td>
														<xsl:value-of select="format-number(@z,'#0,000','european')"/>
													</td>
													<xsl:if test="(position() mod 2) != 0">
														<td></td>
													</xsl:if>
													<xsl:if test="(position() mod 2) = 0">
														<xsl:text disable-output-escaping='yes'>&lt;/tr&gt;</xsl:text>
													</xsl:if>
												</xsl:for-each>
											</xsl:for-each>
										</table>
									</xsl:if>
								</xsl:for-each>
							</xsl:for-each>
						</p>
					</xsl:if>
					<!-- ***************************************** Ausgabe des Streckenverzeichnisses ***************************************** -->
					<xsl:if test="$iel='1'">
						<p>
							<xsl:call-template name="NewSection">
								<xsl:with-param name="Text"><xsl:value-of select="$strres/s_segment_title"/></xsl:with-param>
							</xsl:call-template>
							<xsl:for-each select="edgelist">
								<xsl:if test="@base_horizon='1'">
									<br />
									<span class="title"><xsl:value-of select="$strres/s_initial_survey"/></span>
								</xsl:if>
								<xsl:if test="@base_horizon='2'">
									<br />
									<span class="title"><xsl:value-of select="$strres/s_final_survey"/></span>
								</xsl:if>
								<br />
								<br />
								<table class="protocol">
									<tr class="top">
										<th><xsl:value-of select="$strres/s_point_1"/></th>
										<th><xsl:value-of select="$strres/s_point_2"/></th>
										<th><xsl:value-of select="$strres/s_hori"/></th>
										<th><xsl:value-of select="$strres/s_slope"/></th>
										<th></th>
										<th><xsl:value-of select="$strres/s_point_1"/></th>
										<th><xsl:value-of select="$strres/s_point_2"/></th>
										<th><xsl:value-of select="$strres/s_hori"/></th>
										<th><xsl:value-of select="$strres/s_slope"/></th>
									</tr>
									<xsl:for-each select="edge">
										<xsl:if test="(position() mod 2) != 0">
											<xsl:text disable-output-escaping='yes'>&lt;tr&gt;</xsl:text>
										</xsl:if>
										<td class="c">
											<xsl:value-of select="@startpoint"/>
										</td>
										<td class="c">
											<xsl:value-of select="@endpoint"/>
										</td>
										<td>
											<xsl:value-of select="format-number(@length_xy,'#0,000','european')"/>
										</td>
										<td>
											<xsl:value-of select="format-number(@length_xyz,'#0,000','european')"/>
										</td>
										<xsl:if test="(position() mod 2) != 0">
											<td></td>
										</xsl:if>
										<xsl:if test="(position() mod 2) = 0">
											<xsl:text disable-output-escaping='yes'>&lt;/tr&gt;</xsl:text>
										</xsl:if>
									</xsl:for-each>
								</table>
							</xsl:for-each>
						</p>
					</xsl:if>
					<!-- ***************************************** Ausgabe des Auftrag/Abtrag-Protokolls ***************************************** -->
					<xsl:if test="$scp='1'">
						<p>
							<xsl:call-template name="NewSection">
								<xsl:with-param name="Text"><xsl:value-of select="$strres/s_protocol_title"/></xsl:with-param>
							</xsl:call-template>
							<xsl:if test="$tpt='0'">
								<br />
								<span class="title"><xsl:value-of select="$strres/s_initial_survey"/></span>
							</xsl:if>
							<xsl:if test="$tpt='1'">
								<br />
								<span class="title"><xsl:value-of select="$strres/s_final_survey"/></span>
							</xsl:if>
							<br />
							<br />
							<table class="protocol">
								<tr class="top">
									<th></th>
									<th></th>
									<th></th>
									<th></th>
									<th colspan="2"><xsl:value-of select="$strres/s_cut_area"/></th>
									<th colspan="2"><xsl:value-of select="$strres/s_fill_area"/></th>
								</tr>
								<tr class="top">
									<th><xsl:value-of select="$strres/s_no"/></th>
									<th><xsl:value-of select="$strres/s_point_1"/></th>
									<th><xsl:value-of select="$strres/s_point_2"/></th>
									<th><xsl:value-of select="$strres/s_point_3"/></th>
									<th><xsl:value-of select="$strres/s_base"/></th>
									<th><xsl:value-of select="$strres/s_volume"/></th>
									<th><xsl:value-of select="$strres/s_base"/></th>
									<th><xsl:value-of select="$strres/s_volume"/></th>
								</tr>
								<xsl:for-each select="cutfill_protocol">
									<xsl:if test="($tpt='1' and @base_horizon='2') or ($tpt='0' and @base_horizon='1')">
										<xsl:for-each select="triangle">
											<tr>
												<td class="c">
													<xsl:value-of select="@id"/>
												</td>
												<td class="c">
													<xsl:value-of select="@a"/>
												</td>
												<td class="c">
													<xsl:value-of select="@b"/>
												</td>
												<td class="c">
													<xsl:value-of select="@c"/>
												</td>
												<xsl:if test="not($cft='1')">
													<td>
														<xsl:value-of select="format-number(summary/@cutarea,'#0,000','european')"/>
													</td>
													<td>
														<xsl:value-of select="format-number(summary/@cutvolume,'#0,000','european')"/>
													</td>
												</xsl:if>
												<xsl:if test="$cft='1'">
													<td>-</td>
													<td>-</td>
												</xsl:if>
												<xsl:if test="not($cft='2')">
													<td>
														<xsl:value-of select="format-number(summary/@fillarea,'#0,000','european')"/>
													</td>
													<td>
														<xsl:value-of select="format-number(summary/@fillvolume,'#0,000','european')"/>
													</td>
												</xsl:if>
												<xsl:if test="$cft='2'">
													<td>-</td>
													<td>-</td>
												</xsl:if>
											</tr>
										</xsl:for-each>
										<tr>
											<th></th>
											<th></th>
											<th></th>
											<th></th>
											<th></th>
											<th></th>
											<th></th>
											<th></th>
										</tr>
										<tr class="bottom">
											<td></td>
											<td></td>
											<td></td>
											<td></td>
											<xsl:if test="not($cft='1')">
												<td>
													<xsl:value-of select="format-number(summary/@cutarea,'#0,000','european')"/>
												</td>
												<td>
													<xsl:value-of select="format-number(summary/@cutvolume,'#0,000','european')"/>
												</td>
											</xsl:if>
											<xsl:if test="$cft='1'">
												<td>-</td>
												<td>-</td>
											</xsl:if>
											<xsl:if test="not($cft='2')">
												<td>
													<xsl:value-of select="format-number(summary/@fillarea,'#0,000','european')"/>
												</td>
												<td>
													<xsl:value-of select="format-number(summary/@fillvolume,'#0,000','european')"/>
												</td>
											</xsl:if>
											<xsl:if test="$cft='2'">
												<td>-</td>
												<td>-</td>
											</xsl:if>
										</tr>
									</xsl:if>
								</xsl:for-each>
							</table>
						</p>
					</xsl:if>
					<!-- ***************************************** Ausgabe des Flächen-Protokolls ***************************************** -->
					<xsl:if test="$scp='0'">
						<p>
							<xsl:call-template name="NewSection">
								<xsl:with-param name="Text"><xsl:value-of select="$strres/s_area_title"/></xsl:with-param>
							</xsl:call-template>
							<xsl:for-each select="cutfill_protocol">
								<xsl:if test="@base_horizon='1'">
									<br />
									<span class="title"><xsl:value-of select="$strres/s_initial_survey"/></span>
								</xsl:if>
								<xsl:if test="@base_horizon='2'">
									<br />
									<span class="title"><xsl:value-of select="$strres/s_final_survey"/></span>
								</xsl:if>
								<br />
								<br />
								<table class="protocol">
									<tr class="top">
										<th><xsl:value-of select="$strres/s_no"/></th>
										<th><xsl:value-of select="$strres/s_point_1"/></th>
										<th><xsl:value-of select="$strres/s_point_2"/></th>
										<th><xsl:value-of select="$strres/s_point_3"/></th>
										<th><xsl:value-of select="$strres/s_fill_base_area"/></th>
										<th><xsl:value-of select="$strres/s_cut_base_area"/></th>
										<th><xsl:value-of select="$strres/s_surface"/></th>
									</tr>
									<xsl:for-each select="triangle">
										<tr>
											<td class="c">
												<xsl:value-of select="@id"/>
											</td>
											<td class="c">
												<xsl:value-of select="@a"/>
											</td>
											<td class="c">
												<xsl:value-of select="@b"/>
											</td>
											<td class="c">
												<xsl:value-of select="@c"/>
											</td>
											<xsl:if test="not($cft='2')">
												<td>
													<xsl:value-of select="format-number(summary/@fillarea,'#0,000','european')"/>
												</td>
											</xsl:if>
											<xsl:if test="$cft='2'">
												<td>-</td>
											</xsl:if>
											<xsl:if test="not($cft='1')">
												<td>
													<xsl:value-of select="format-number(summary/@cutarea,'#0,000','european')"/>
												</td>
											</xsl:if>
											<xsl:if test="$cft='1'">
												<td>-</td>
											</xsl:if>

											<td>
												<xsl:value-of select="format-number(summary/@surface,'#0,000','european')"/>
											</td>
										</tr>
									</xsl:for-each>
									<tr>
										<th></th>
										<th></th>
										<th></th>
										<th></th>
										<th></th>
										<th></th>
										<th></th>
									</tr>
									<tr class="bottom">
										<td></td>
										<td></td>
										<td></td>
										<td></td>
										<xsl:if test="not($cft='2')">
											<td>
												<xsl:value-of select="format-number(summary/@fillarea,'#0,000','european')"/>
											</td>
										</xsl:if>
										<xsl:if test="$cft='2'">
											<td>-</td>
										</xsl:if>
										<xsl:if test="not($cft='1')">
											<td>
												<xsl:value-of select="format-number(summary/@cutarea,'#0,000','european')"/>
											</td>
										</xsl:if>
										<xsl:if test="$cft='1'">
											<td>-</td>
										</xsl:if>
										<td>
											<xsl:value-of select="format-number(summary/@surface,'#0,000','european')"/>
										</td>
									</tr>
								</table>
							</xsl:for-each>
						</p>
					</xsl:if>
					<br/><br/>
					<img src="http://www.androtec.de/Images/Logos/Kubatura_s.gif" style="position: relative; top:+5px" alt="" width="22" height="22" onerror="this.style.display='none'"/>
					<span class="copyright"> Generated by Kubatura, &#169; AndroTec GmbH</span>
					</div>
                </xsl:for-each>
				<br/><br/>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
